Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# ACE_Control_Block::ACE_Name_Node Class Reference

This class supports "named memory regions" within ACE_Malloc. More...

`#include <Malloc.h>`

Collaboration diagram for ACE_Control_Block::ACE_Name_Node:

[legend]
List of all members.

## Public Member Functions
| ACE_Name_Node (const char *name, char *name_ptr, char *pointer, ACE_Name_Node *head)
| Constructor.
| ACE_Name_Node (void)
| Constructor.
| ~ACE_Name_Node (void)
| Constructor.
const char * | name (void) const
| Return a pointer to the name of this node.
void | dump (void) const
| Dump the state of the object.
## Static Public Member Functions
void | init_ptr (ACE_Name_Node **ptr, ACE_Name_Node *init, void *base_addr)
| Initialize a name node pointer.
## Public Attributes
char * | name_
| Name of the Node.
char * | pointer_
| Pointer to the contents.
ACE_Name_Node * | next_
| Pointer to the next node in the doubly-linked list.
ACE_Name_Node * | prev_
| Pointer to the previous node in the doubly-linked list.
## Private Member Functions
| ACE_Name_Node (const ACE_Name_Node &)
| Copy constructor.

## Detailed Description

This class supports "named memory regions" within ACE_Malloc.

Internally, the named memory regions are stored as a doubly-linked list within the `Memory_Pool`. This makes it easy to iterate over the items in the list in both FIFO and LIFO order.

## Constructor & Destructor Documentation

ACE_Control_Block::ACE_Name_Node::ACE_Name_Node | ( | const char * | name,
|  | char * | name_ptr,
|  | char * | pointer,
|  | ACE_Name_Node * | head
| ) |

| Constructor.

ACE_Control_Block::ACE_Name_Node::ACE_Name_Node | ( | void |  | ) |

| Constructor.

ACE_BEGIN_VERSIONED_NAMESPACE_DECL ACE_INLINE ACE_Control_Block::ACE_Name_Node::~ACE_Name_Node | ( | void |  | ) |

| Constructor.

ACE_Control_Block::ACE_Name_Node::ACE_Name_Node | ( | const ACE_Name_Node & |  | ) | `[private]`

| Copy constructor.

## Member Function Documentation

void ACE_Control_Block::ACE_Name_Node::dump | ( | void |  | ) | const

| Dump the state of the object.

ACE_INLINE void ACE_Control_Block::ACE_Name_Node::init_ptr | ( | ACE_Name_Node ** | ptr,
|  | ACE_Name_Node * | init,
|  | void * | base_addr
| ) | `[static]`

| Initialize a name node pointer.

const char * ACE_Control_Block::ACE_Name_Node::name | ( | void |  | ) | const

| Return a pointer to the name of this node.

## Member Data Documentation

char* ACE_Control_Block::ACE_Name_Node::name_

| Name of the Node.

ACE_Name_Node* ACE_Control_Block::ACE_Name_Node::next_

| Pointer to the next node in the doubly-linked list.

char* ACE_Control_Block::ACE_Name_Node::pointer_

| Pointer to the contents.

ACE_Name_Node* ACE_Control_Block::ACE_Name_Node::prev_

| Pointer to the previous node in the doubly-linked list.

The documentation for this class was generated from the following files:

- Malloc.h
- Malloc.cpp
- Malloc.inl